#include<iostream>
using namespace std;
int main ()
{
    int N;
    cin>>N;
    int a[N], b[N];
    for (int i=0; i<N; i++){
        cin>>a[i];
    }
        for (int i=0; i<N; i++){
        cin>>b[i];
    }
    int br=0, SOS[N];
    for (int i=0; i<N; i++){
        if (a[i]!=b[i]){
            br++;
            for (int q=0; q<N; q++)
            {
                if (a[q]==b[i]){
                        int p=0;
                    for (int z=q; z<N; z++){
                        SOS[p]=a[z];
                        p++;
                    }
                    for (int r=0; r<q; r++){
                        SOS[p]=a[r];
                        p++;
                    }
                }
            }
            for (int y=0; y<N; y++){
                a[y]=SOS[y];
            }
        }
    }
    cout<<br;
    return 0;
}
